pack_feof(3)

NAME
pack_feof - Returns nonzero as soon as you reach the end of the file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int pack_feof(PACKFILE *f);

DESCRIPTION
Finds out if you have reached the end of the file. It does not wait for you to attempt to read beyond the end of the file, contrary to the ISO C feof() function. The only way to know whether you have read beyond the end of the file is to check the return value of the read operation you use (and be wary of pack_*getl() as EOF is also a valid return value with these functions).

RETURN VALUE
Returns non-zero if you are at the end of the file, zero otherwise.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3), pack_ferror(3)